%define major 0
%define libname %mklibname fm %major
%define develname %mklibname -d fm

%define prerel rc1

Summary:	GIO-based library for file manager-like programs
Name:		libfm
Version:	0.1.12
Release:	%mkrel -c %prerel 1
License:	GPLv2
Group:		File tools
Source0:	%{name}-%{version}.tar.gz
Patch0:		libfm-0.1.5-set-cutomization.patch
# patches from upstream:
Patch101:	libfm-0.1.12-fix-sort-by-name.patch
Patch102:	libfm-0.1.12-fix-crach-when-showing-properties-in-root-dir.patch
Url:		http://pcmanfm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libmenu-cache-devel >= 0.3.2
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	gtk+2-devel

%description
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or 
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote 
filesystems supported by gvfs.

%package -n %libname
Group:		File tools
Summary:	%{name} library package
Requires:	%{name} >= %{version}

%description -n %libname
%summary.

%package -n %develname
Group:		File tools
Summary:	%{name} developement files
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .customization

%patch101 -p1 -b .fix-sorting
%patch102 -p1 -b .fix-crash-properties

%build
#./autogen.sh
%define Werror_cflags %nil
%configure2_5x --disable-static
# remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif

%postun
if [ "$1" = "0" ]; then
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif
fi

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xdg/libfm/libfm.conf
%config(noreplace) %{_sysconfdir}/xdg/libfm/pref-apps.conf
%{_bindir}/libfm-pref-apps
%{_libdir}/gio/modules/libgiofm.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gnome-terminal
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/archivers.list
%{_datadir}/%{name}/ui/*
%{_datadir}/applications/libfm-pref-apps.desktop
%{_datadir}/mime/packages/%{name}.xml

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libfm-gtk.so.%{major}*
%{_libdir}/libfm.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/%{name}
%{_includedir}/%{name}/%{name}/*.h
%{_libdir}/libfm-gtk.so
%{_libdir}/libfm.so
%{_libdir}/pkgconfig/libfm-gtk.pc
%{_libdir}/pkgconfig/libfm.pc


%changelog
* Sat Jul 24 2010 tigger-gg <rpm@mandrivauser.de> 0.1.12-0.rc1.1mud2010.1
- Rebuild for 2010.1

* Sat Jul 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.12-0.rc1.1mdv2011.0
+ Revision: 557333
- update to 0.1.12 rc1
- drop string format patch, the bug filed upstream was closed as wontfix, so
  compile with Werror_cflags %%nil instead of having to rediff the patch
- add two patches from upstream git

* Tue Apr 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.11-0.beta3.1mdv2010.1
+ Revision: 539855
- new release, beta3, 0.1.11
- improve devel package requires

* Mon Apr 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.10-0.beta2.2mdv2010.1
+ Revision: 539349
- new git snapshot
- fix post and postun

* Mon Apr 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.10-0.beta2.1mdv2010.1
+ Revision: 536542
- update to 1.10 beta2

* Sun Apr 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.4mdv2010.1
+ Revision: 533573
- new git snapshot

* Fri Mar 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.2mdv2010.1
+ Revision: 527615
- improve package dir ownership

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.1mdv2010.1
+ Revision: 525010
- new upstream release 0.1.9 beta
- rediff str format patch

* Wed Mar 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.4mdv2010.1
+ Revision: 523486
- move the gio module to the main package to ease major upgrades
  (spotted by Charles A Edwards)
- more customization to make pcmanfm use xarchiver by default (xarchiver is already present on dual-free iso)

* Tue Mar 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.3mdv2010.1
+ Revision: 521821
- update to a git snapshot to fix a segfault in nautilus when libfm gio module is
  present
- fix file list
- add post and postun parts for the gio module

* Mon Mar 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.2mdv2010.1
+ Revision: 519891
- proper libification, (pointed out by fcrozat)

* Wed Mar 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.1mdv2010.1
+ Revision: 517592
- remove uneeded BR's
- improve spec, summary, configure options (thanks Fedora)
- don't ship .la (from Fedora)
- fix package requires so that main package doesn't require -devel packages
- import libfm


